#!/usr/bin/perl
#!/usr/bin/perl -d:ptkdb

###############################################################################
#
# translate.pl -  Translation fuer MK Datensaetze
#
# Copyright (C) 2009  Rainer Walther  (rainerwalther-mail@web.de)
#
# Creative Commons Lizenz mit den Zusaetzen (by, nc, sa)
#
# Es ist Ihnen gestattet: 
#     * das Werk vervielfltigen, verbreiten und ffentlich zugnglich machen
#     * Abwandlungen bzw. Bearbeitungen des Inhaltes anfertigen
# 
# Zu den folgenden Bedingungen:
#     * Namensnennung.
#       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
#     * Keine kommerzielle Nutzung.
#       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
#     * Weitergabe unter gleichen Bedingungen.
#       Wenn Sie den lizenzierten Inhalt bearbeiten oder in anderer Weise umgestalten,
#       verndern oder als Grundlage fr einen anderen Inhalt verwenden,
#       drfen Sie den neu entstandenen Inhalt nur unter Verwendung von Lizenzbedingungen
#       weitergeben, die mit denen dieses Lizenzvertrages identisch oder vergleichbar sind.
# 
# Im Falle einer Verbreitung mssen Sie anderen die Lizenzbedingungen, unter welche dieses
# Werk fllt, mitteilen. Am Einfachsten ist es, einen Link auf diese Seite einzubinden.
# 
# Jede der vorgenannten Bedingungen kann aufgehoben werden, sofern Sie die Einwilligung
# des Rechteinhabers dazu erhalten.
# 
# Diese Lizenz lsst die Urheberpersnlichkeitsrechte unberhrt.
# 
# Weitere Details zur Lizenzbestimmung gibt es hier:
#   Kurzform: http://creativecommons.org/licenses/by-nc-sa/3.0/de/
#   Komplett: http://creativecommons.org/licenses/by-nc-sa/3.0/de/legalcode
#
###############################################################################
#
# 2009-02-23 0.0.1 rw created
# 2009-04-01 0.1.0 rw RC1
# 2009-05-06 0.1.1 rw NC 0.15c
#
###############################################################################

$Version{'translate.pl'} = "0.1.1 - 2009-04-06";

 %Translate = (
    # NC Debug
    "Analog_00"      => "Angel Nick",
    "Analog_01"      => "Angel Roll",
    "Analog_02"      => "ACC Nick",
    "Analog_03"      => "ACC Roll",
    "Analog_05"      => "MK-Flags",
    "Analog_06"      => "NC-Flags",
    "Analog_09"      => "GPS Data",
    "Analog_10"      => "Compass Heading",
    "Analog_11"      => "Gyro Heading",
    "Analog_12"      => "SPI Error",
    "Analog_13"      => "SPI OK",
    "Analog_14"      => "I2C Error",
    "Analog_15"      => "I2C OK",
    "Analog_16"      => "FC Kalman K",
    "Analog_17"      => "ACC Speed North",
    "Analog_18"      => "ACC Speed East",
    "Analog_19"      => "GPS ACC",
    "Analog_20"      => "Max Drift",
    "Analog_21"      => "Speed North",
    "Analog_22"      => "Speed East",
    "Analog_23"      => "P-Part",
    "Analog_24"      => "I-Part",
    "Analog_25"      => "D-Part",
    "Analog_26"      => "PID-Part",
    "Analog_27"      => "Distance North",
    "Analog_28"      => "Distance East",
    "Analog_29"      => "GPS Nick",
    "Analog_30"      => "GPS Roll",
    "Analog_31"      => "Empfangene Satellitten",
   
    # NC OSD
    "Altimeter"             => "Hhe (Luftdruck)",
    "AngleNick"             => "Winkel Nick",
    "AngleRoll"             => "Winkel Roll",
    "CompassHeading"        => "Richtung Kompass",
    "CurPos_Alt"            => "Position Hhe",
    "CurPos_Lat"            => "Position Latitude",
    "CurPos_Lon"            => "Position Longitude",
    "CurPos_Stat"           => "Position Status",
    "Errorcode"             => "Fehler Code",
    "FlyingTime"            => "Flugzeit",
    "GroundSpeed"           => "Geschw. ber Grund",
    "Heading"               => "Richtung",
    "HomePosDev_Bearing"    => "Homeposition Richtung",
    "HomePosDev_Dist"       => "Homeposition Entfernung",
    "HomePos_Alt"           => "Homeposition Hhe",
    "HomePos_Lat"           => "Homeposition Latitude",
    "HomePos_Lon"           => "Homeposition Longitude",
    "HomePos_Stat"          => "Homeposition Status",
    "MKFlags"               => "MK Flags",
    "NCFlags"               => "NC Flags",
    "OperatingRadius"       => "Operating Radius",
    "RC_Quality"            => "RC Signalstrke",
    "SatsInUse"             => "Empfangene Satellitten",
    "TargetHoldTime"        => "Wartezeit am Ziel",
    "TargetPosDev_Bearing"  => "Ziel Richtung",
    "TargetPosDev_Dist"     => "Ziel Entfernung",
    "TargetPos_Alt"         => "Ziel Hhe",
    "TargetPos_Lat"         => "Ziel Latitude",
    "TargetPos_Lon"         => "Ziel Longitude",
    "TargetPos_Stat"        => "Ziel Status",
    "TopSpeed"              => "Geschwindigkeit vertikal",
    "UBat"                  => "Batterie Spannung",
    "Variometer"            => "Variometer",
    "WaypointIndex"         => "Wegpunkt Index",
    "WaypointNumber"        => "Wegpunkt Nummer",
    "_Timestamp"            => "_Zeitstempel",

    # NC Target
    "EventFlag"             => "Event Flag",
    "Richtung"              => "Richtung",
    "HoldTime"              => "Wartezeit",
    "Pos_Alt"               => "Position Hhe",
    "Pos_Lat"               => "Position Latitude",
    "Pos_Lon"               => "Position Longitude",
    "Pos_Stat"              => "Position Status",
    "ToleranceRadius"       => "Toleranz Radius",

    # Configuration
    "geserver"              => "Google Earth Server",
    "logging"               => "Logging",
    "map"                   => "Karte",
    "mkcockpit"             => "Mission Cockpit",
    "mkcomm"                => "MK Kommunikation",
    "Port"                  => "Port *",
    "track"                 => "Tracking Antenne",
    "waypoint"              => "Wegpunkte",
    "HttpPort"              => "HTTP Port *",
    "CsvLogDir"             => "CSV Log-Verzeichnis *",
    "GpxLogDir"             => "GPX Log-Verzeichnis *",
    "KmlLogDir"             => "KML Log-Verzeichnis *",
    "MapDefault"            => "Kartendefinition Hintergrundbild *",
    "MapDir"                => "Verzeichnis fuer Karten *",
    "Active"                => "Tarcking Antenne aktiv *",
    "AltFactor"             => "Faktor Hhe(Luftdruck) nach Meter",
    "DefaultEventFlag"      => "Default Event-Flag",
    "DefaultHeading"        => "Default Heading",
    "DefaultHoldtime"       => "Default Holdtime",
    "DefaultToleranceRadius"=> "Default Toleranz Radius",
    "WpDir"                 => "Verzeichnis Wegpunkte *",
    "ColorAirfield"         => "Farbe Flugfeldbegrenzung *",
    "ColorHomeDist"         => "Farbe Text Entfernung Home *",
    "ColorHomeLine"         => "Farbe Linie Entfernung Home *",
    "ColorMkSatGood"        => "Farbe MK guter Sat-Empfang",
    "ColorMkSatLow"         => "Farbe MK schlechter Sat-Empfang",
    "ColorMkSatNo"          => "Farbe MK kein Sat-Empfang",
    "ColorOsd"              => "Farbe OSD *",
    "ColorSpeedVector"      => "Farbe Speed-Vektor *",
    "ColorTargetDist"       => "Farbe Text Entfernung Ziel *",
    "ColorTargetLine"       => "Farbe Linie Entfernung Ziel *",
    "ColorVariometer"       => "Farbe Variometer-Skala *",
    "ColorVariometerPointer"=> "Farbe Variometer-Zeiger *",
    "ColorWpConnector"      => "Farbe Wegpunkt-Connector",
    "ColorWpResend"         => "Farbe Wp-Conn. geaendert",
    "ColorWpNumber"         => "Farbe Wegpunkt Nummer",
    "ColorFootprint"        => "Farbe Footprint",
    "FootprintLength"       => "Lnge Footprint (in s)",
    "IconFox"               => "Icon Fuchsjagd *",
    "IconHeartLarge"        => "Icon Heartbeat gross *",
    "IconHeartSmall"        => "Icon Heartbeat klein *",
    "IconSatellite"         => "Icon Satellit *",
    "IconTarget"            => "Icon Ziel *",
    "IconWaypoint"          => "Icon Wegpunkt *",
    "Intervall"             => "Intervall (in s) *", 
    "UBatWarning"           => "Batterie Warnung (in V) ",

    # Waypoint
    "MapX"                  => "X-Position auf Karte",

    "MapY"                  => "Y-Position auf Karte",
    "Event_Flag"            => "Event Flag",
    "Holdtime"              => "Wartezeit am Wegpunkt",
    );


1;

__END__
